QueryProcessor (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql

## Class QueryProcessor

- java.lang.Object
- - org.apache.cassandra.cql.QueryProcessor

-     public class QueryProcessor
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SemanticVersion` | `CQL_VERSION`
    `static java.lang.String` | `DEFAULT_KEY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addPostPreparationHook(PostPreparationHook hook)`
    `static void` | `addPreExecutionHook(PreExecutionHook hook)`
    `static CqlPreparedResult` | `prepare(java.lang.String queryString, ThriftClientState clientState)`
    `static CqlResult` | `process(java.lang.String queryString, ThriftClientState clientState)`
    `static CqlResult` | `processPrepared(CQLStatement statement, ThriftClientState clientState, java.util.List<java.nio.ByteBuffer> variables)`
    `static CqlResult` | `processStatement(CQLStatement statement, ExecutionContext context)`
    `static void` | `removePostPreparationHook(PostPreparationHook hook)`
    `static void` | `removePreExecutionHook(PreExecutionHook hook)`
    `static void` | `validateColumn(CFMetaData metadata, CellName name, java.nio.ByteBuffer value)`
    `static void` | `validateColumnName(CellName column)`
    `static void` | `validateKey(java.nio.ByteBuffer key)`
    `static void` | `validateKeyAlias(CFMetaData cfm, java.lang.String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CQL_VERSION

          public static final SemanticVersion CQL_VERSION

    - #### DEFAULT_KEY_NAME

          public static final java.lang.String DEFAULT_KEY_NAME

  - ### Constructor Detail

    - #### QueryProcessor

          public QueryProcessor()

  - ### Method Detail

    - #### addPreExecutionHook

          public static void addPreExecutionHook(PreExecutionHook hook)

    - #### removePreExecutionHook

          public static void removePreExecutionHook(PreExecutionHook hook)

    - #### addPostPreparationHook

          public static void addPostPreparationHook(PostPreparationHook hook)

    - #### removePostPreparationHook

          public static void removePostPreparationHook(PostPreparationHook hook)

    - #### validateKey

          public static void validateKey(java.nio.ByteBuffer key)
                                  throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### validateKeyAlias

          public static void validateKeyAlias(CFMetaData cfm,
                              java.lang.String key)
                                       throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### validateColumnName

          public static void validateColumnName(CellName column)
                                         throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### validateColumn

          public static void validateColumn(CFMetaData metadata,
                            CellName name,
                            java.nio.ByteBuffer value)
                                     throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### processStatement

          public static CqlResult processStatement(CQLStatement statement,
                                   ExecutionContext context)
                                            throws RequestExecutionException,
                                                   RequestValidationException

      Throws:
        `RequestExecutionException`
        `RequestValidationException`

    - #### process

          public static CqlResult process(java.lang.String queryString,
                          ThriftClientState clientState)
                                   throws RequestValidationException,
                                          RequestExecutionException

      Throws:
        `RequestValidationException`
        `RequestExecutionException`

    - #### prepare

          public static CqlPreparedResult prepare(java.lang.String queryString,
                                  ThriftClientState clientState)
                                           throws RequestValidationException

      Throws:
        `RequestValidationException`

    - #### processPrepared

          public static CqlResult processPrepared(CQLStatement statement,
                                  ThriftClientState clientState,
                                  java.util.List<java.nio.ByteBuffer> variables)
                                           throws RequestValidationException,
                                                  RequestExecutionException

      Throws:
        `RequestValidationException`
        `RequestExecutionException`

Copyright © 2014 The Apache Software Foundation